QEMU version 1.6.0-rc3 is out!

You can download the source code for it at Qemu.org.

Well this version runs surprisingly well on OS X.

Darwin 124244241046.ctinets.com 12.4.0 Darwin Kernel Version 12.4.0: Wed May 1 17:57:12 PDT 2013; root:xnu-2050.24.15~1/RELEASE_X86_64 x86_64), along with clang 421 (Apple clang version 4.0 (tags/Apple/clang-421.0.57) (based on LLVM 3.1svn)

I’m using glib-2.23.6, along with my older notes, which are somewhat PowerPC specific, but work fine on OS X.  First remember to setup your environment for glib2

PKG_CONFIG_PATH=/usr/local/lib/pkgconfig
export PKG_CONFIG_PATH

I ran into some issue with picking up libiconv with gconvert.c .  I just commented out the error message.

#if defined(USE_LIBICONV_GNU) && !defined (_LIBICONV_H)
#error GNU libiconv in use but included iconv.h not from libiconv
#endif
#if !defined(USE_LIBICONV_GNU) && defined (_LIBICONV_H)
//#error GNU libiconv not in use but included iconv.h is from libiconv
#endif

I also built it without GTK+ as building that looks simply overwhelming on OS X.  I had to build the included pixman with –disable-gtk flags.  In the configure script make it look like this:

#PKG_PROG_PKG_CONFIG
#if test $enable_gtk = auto ; then
# PKG_CHECK_EXISTS(gtk+-2.0, enable_gtk=yes, enable_gtk=no)
#fi
#if test $enable_gtk = yes ; then
# PKG_CHECK_MODULES(GTK, gtk+-2.0)
#fi

# if test “x$enable_gtk” = xyes; then
# HAVE_GTK_TRUE=
# HAVE_GTK_FALSE=’#’
#else
HAVE_GTK_TRUE=’#’
HAVE_GTK_FALSE=
#fi

Finally while the AdLib card is enabled by default now (yay) I kept on receiving the following error:

Assertion failed: (pio->offset >= off_last), function portio_list_add, file /usr/src/qemu-1.6.0-rc3/ioport.c, line 240.

So I just commented out the assert in ioport.c and I’ve been running Doom 1.1 for a few minutes without issue.  I’ve also been able to install Windows NT 4.0 on Qemu

Doom 1.1 & Windows NT 4.0 on Qemu 1.6 rc3

Doom 1.1 & Windows NT 4.0 on Qemu 1.6 rc3

And of course, this post on betaarchive.com by TC1988 goes a long way to help on building Qemu.

This entry was posted in OS X, qemu by neozeed. Bookmark the permalink.
avatar

About neozeed

What is there to tell? I’ve loved UNIX like things since I was first exposed to QNX in highschool (we had the Unisys ICONS!), and spent the better time of my teenage years trying to get my own UNIX… I should have bought Coherent in retrospect.. Anyways latched onto Linux in 1992, and then got some old BSD admin books and have been hooked on the VAX BSD & other big/ancient things since…!

2 thoughts on “QEMU version 1.6.0-rc3 is out!

  1. I still can’t find a version of glib for x64 that works with qemu, even in the official qemu site it is explained that recent glib versions lack some things to make qemu work in x64 mode.

Leave a Reply

Your email address will not be published.

Notify me of followup comments via e-mail. You can also subscribe without commenting.